#!/usr/bin/env bash
# ----------------------------------------------------------------------------
# OpenEstate-ImmoTool 1.0.2
# remove start menu items for this application
# Copyright (C) 2009-2019 OpenEstate.org
# ----------------------------------------------------------------------------

DESKTOP_DIR="$HOME/.local/share/applications"
IMMOTOOL_DESKTOP="$DESKTOP_DIR/openestate-immotool.desktop"
ADMINTOOL_DESKTOP="$DESKTOP_DIR/openestate-admintool.desktop"
MANUAL_DESKTOP="$DESKTOP_DIR/openestate-manual.desktop"


#
# Start execution...
#

if [[ ! -d "$DESKTOP_DIR" ]] ; then
    echo "Can't find local desktop directory!"
    exit 1
fi

if [[ -f "$IMMOTOOL_DESKTOP" ]] ; then
    echo "Removing menu item for OpenEstate-ImmoTool..."
    rm -f "$IMMOTOOL_DESKTOP"
else
    echo "The menu item for OpenEstate-ImmoTool does not exist."
fi

if [[ -f "$ADMINTOOL_DESKTOP" ]] ; then
    echo "Removing menu item for OpenEstate-AdminTool..."
    rm -f "$ADMINTOOL_DESKTOP"
else
    echo "The menu item for OpenEstate-AdminTool does not exist."
fi

if [[ -f "$MANUAL_DESKTOP" ]] ; then
    echo "Removing menu item for OpenEstate-Manual..."
    rm -f "$MANUAL_DESKTOP"
else
    echo "The menu item for OpenEstate-Manual does not exist."
fi
