-- -----------------------------------------------------
-- Contacts-Addon for OpenEstate-ImmoTool
-- uninstallation for HSQLDB
-- Copyright (C) 2009-2019 OpenEstate.org
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Procedures
-- -----------------------------------------------------
DROP FUNCTION IF EXISTS can_delete_immotool_contacts_entries CASCADE;
DROP FUNCTION IF EXISTS can_delete_immotool_contacts_groups CASCADE;
DROP FUNCTION IF EXISTS can_read_immotool_contacts_entries CASCADE;
DROP FUNCTION IF EXISTS can_read_immotool_contacts_groups CASCADE;
DROP FUNCTION IF EXISTS can_write_immotool_contacts_entries CASCADE;
DROP FUNCTION IF EXISTS can_write_immotool_contacts_groups CASCADE;
DROP FUNCTION IF EXISTS get_immotool_contacts_entry_id CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_contacts_entries CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_contacts_entries_address CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_contacts_entries_settings CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_contacts_groups CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_contacts_entries CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_contacts_entries_logs CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_contacts_entries_settings CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_contacts_groups CASCADE;
DROP PROCEDURE IF EXISTS set_immotool_contacts_entries_active CASCADE;
DROP PROCEDURE IF EXISTS set_immotool_contacts_entries_group CASCADE;


-- -----------------------------------------------------
-- Views
-- -----------------------------------------------------
DROP VIEW IF EXISTS view_immotool_contacts_entries CASCADE;
DROP VIEW IF EXISTS view_immotool_contacts_entries_files CASCADE;
DROP VIEW IF EXISTS view_immotool_contacts_entries_files_content CASCADE;
DROP VIEW IF EXISTS view_immotool_contacts_entries_logs CASCADE;
DROP VIEW IF EXISTS view_immotool_contacts_entries_settings CASCADE;
DROP VIEW IF EXISTS view_immotool_contacts_groups CASCADE;


-- -----------------------------------------------------
-- Tables
-- -----------------------------------------------------
DROP TABLE IF EXISTS immotool_contacts_entries CASCADE;
DROP TABLE IF EXISTS immotool_contacts_entries_files CASCADE;
DROP TABLE IF EXISTS immotool_contacts_entries_logs CASCADE;
DROP TABLE IF EXISTS immotool_contacts_entries_settings CASCADE;
DROP TABLE IF EXISTS immotool_contacts_groups CASCADE;


-- -----------------------------------------------------
-- Sequences
-- -----------------------------------------------------
DROP SEQUENCE IF EXISTS seq_immotool_contacts_groups CASCADE;
DROP SEQUENCE IF EXISTS seq_immotool_contacts_entries CASCADE;
DROP SEQUENCE IF EXISTS seq_immotool_contacts_entries_files CASCADE;
